## cube2 0.0.20130203%2Bdfsg

=== debian/control ===
Source: cube2
Section: games
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
Uploaders:
 Bruno "Fuddl" Kleinert <fuddl@debian.org>,
 Vincent Cheng <vcheng@debian.org>,
 Markus Koschany <apo@gambaru.de>
Build-Depends:
 debhelper (>= 9),
 libenet-dev,
 libsdl-image1.2-dev,
 libsdl-mixer1.2-dev,
 libsdl1.2-dev,
 zlib1g-dev
Standards-Version: 3.9.5
Vcs-Git: git://anonscm.debian.org/pkg-games/cube2.git
Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cube2.git
Homepage: http://cubeengine.com

Package: cube2
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cube2-data
Description: 3D first-person shooter game engine
 Cube2 is a networked 3D first-person shooter game engine. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 The game client also works as the map editor. It is even possible to create
 and edit a map together with other people over a network connection.
 .
 The effects of Cube2 might be considered unsuitable for children.
 .
 This package installs the game client and map editor of the Cube2 engine.
 You need to install a content package like cube2-data if you want to play a
 game.

Package: cube2-dbg
Section: debug
Priority: extra
Architecture: any
Depends:
 cube2 (= ${binary:Version}) | cube2-server (= ${binary:Version}),
 ${misc:Depends}
Description: debug symbols for the Cube2 game engine
 Cube2 is a networked 3D first-person shooter game engine. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 This package installs the debug symbols for the Cube2 engine.

Package: cube2-server
Architecture: any
Depends:
 ${misc:Depends},
 ${shlibs:Depends}
Suggests:
 cube2
Description: standalone server for Cube2 based games
 Cube2 is a networked 3D first-person shooter game engine. It supports modern
 graphic effects and conveys a sense of fast-paced oldschool gameplay.
 .
 This package installs the standalone server for Cube2 based games.
