## cube2 0.0.20130203+dfsg

=== debian/changelog ===
cube2 (0.0.20130203+dfsg-2) unstable; urgency=medium

  * Declare compliance with Debian Policy 3.9.8.
  * Update my e-mail address.
  * Vcs-fields: Use https and cgit.
  * Drop cube2-dbg package and use the automatic -dbgsym package instead.
  * Update copyright years.
  * Drop obsolete lintian-overrides.
  * Override dh_clean and ensure that cube2 can be built twice in a row.

 -- Markus Koschany <apo@debian.org>  Mon, 08 Aug 2016 16:09:03 +0200

cube2 (0.0.20130203+dfsg-1) unstable; urgency=medium

  * Add myself to Uploaders.
  * Rename source and binary packages of sauerbraten to cube2 and move the
    package to the main section of the Debian archive because it fully complies
    with the DFSG. A new -data package for demonstration purposes with textures,
    models, maps and sounds will be provided by the separate source package
    cube2-data. Hence the engine is functional and can be shipped in main.
    (Closes: #458800)
  * Repack source package and unbundle the embedded enet library. Link against
    the shared system library instead.
  * Update debian/copyright to copyright format 1.0.
  * debian/rules:
    - Build with dh's --parallel option and remove remaining Makefile code for
      parallel jobs to avoid a race condition. (Closes: #736383)
    - Pass all dpkg-buildflags to upstream's build system.
    - Enable all hardening build flags.
    - Remove override targets for dh_installdocs and dh_auto_clean.
  * debian/control:
    - cube2: suggest cube2-data.
    - cube2-server: suggest cube2.
    - Update package descriptions due to the renaming.
    - Change VCS links to new cube2 git repository.
  * Add a watch file.
  * Drop README.source because source format 3.0 uses quilt by default.
  * Drop docs file.
  * Rename sauer_client and sauer_server to cube2_client and cube2_server.
  * Move icons, desktop and menu files to the new sauerbraten source
    package.
  * Rename man pages to cube2.6 and cube2-server.6.
  * Use compat level 9 and require debhelper >= 9.
  * Drop NEWS.Debian because it contains only obsolete news.
  * debian/patches:
    - Drop 10-fix-clean-target.diff. The embedded version of enet has been
      removed hence a fix is not needed anymore.
    - Drop 20-build-with-debug-symbols.patch. Build flags are handled
      automatically.
    - Rename .diff file extensions to .patch.
    - New patches:
      + add-LDFLAGS.patch: Add LDFLAGS to upstream's Makefile for hardening.
      + use-system-enet.patch: Link against Debian's shared system enet
        library.
  * Add a sample configuration for a dedicated server and install the files
    with cube2-server.examples. (Closes: #673808)
  * Add lintian-overrides and override lintian warning
    latest-debian-changelog-entry-without-new-version. Cube2 is basically
    a new source package thus this warning can be safely ignored.

 -- Markus Koschany <apo@gambaru.de>  Thu, 20 Mar 2014 21:05:01 +0100

sauerbraten (0.0.20130203.dfsg-1) unstable; urgency=medium

  * Team upload.
    - Add myself to Uploaders.
  * New upstream release. (Closes: #732988, #699521)
    - Refresh patches.
  * Build using dh-autoreconf.
  * Fix minor grammatical errors in package description. (LP: #858631)
  * Update Standards version to 3.9.5.

 -- Vincent Cheng <vcheng@debian.org>  Tue, 21 Jan 2014 15:59:05 -0800

sauerbraten (0.0.20100728.dfsg+repack-3) unstable; urgency=low

  * Team upload.
  * Correct manpage regarding the previous upload: Remove the note that
    running in fullscreen mode was the default.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 17:29:57 +0200

sauerbraten (0.0.20100728.dfsg+repack-2) unstable; urgency=low

  * Team upload.
  * Start in windowed mode by default. This introduces
    windowed_by_default.diff.

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Wed, 29 Jun 2011 15:56:14 +0200

sauerbraten (0.0.20100728.dfsg+repack-1) unstable; urgency=low

  * Repack .orig.tar.gz
    * Drop an unredistributable file (include/wincompat.h). We don't use it
      anyway
    * Repack with bzip2 compression
  * Update debian/copyright:
    * Update copyright years of sauerbraten and Enet
    * Liste files in enet/m4/ which are copyright by the FSF and some
      autotools file in enet/ and the files in include/ (Closes: #618943)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 21 Jun 2011 16:59:36 +0200

sauerbraten (0.0.20100728.dfsg-5) unstable; urgency=low

  * Fix wrong variable name in debian/rules. It's not CXXOPTFLAGS but CXXFLAGS
  * Update to standards version 3.9.2. No changes.
  * Don't mess with users' PATH environment in sauerbraten.desktop. Instead
    call /usr/games/sauerbraten directly
  * Use debhelper 8 to build the package
    * Build-depend on debhelper (>= 8)
    * Rewrite debian/rules

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Fri, 03 Jun 2011 19:03:03 +0200

sauerbraten (0.0.20100728.dfsg-4) unstable; urgency=low

  * Team upload.
  * Link with -lrt on kFreeBSD too.
    Closes: #621811

 -- Evgeni Golov <evgeni@debian.org>  Thu, 12 May 2011 01:03:35 +0200

sauerbraten (0.0.20100728.dfsg-3) unstable; urgency=low

  * Allow building on PowerPC again (Closes: 549470)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Tue, 01 Mar 2011 17:38:44 +0100

sauerbraten (0.0.20100728.dfsg-2) unstable; urgency=low

  * Fix typos in package description, manpages and desktop shortcuts
    (Closes: #573778)

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Mon, 16 Aug 2010 12:12:51 +0200

sauerbraten (0.0.20100728.dfsg-1) unstable; urgency=low

  * New upstream release
  * Refresh 30-fix-indirect-linking-for-binutils-gold.diff
  * Refresh 10-fix-clean-target.diff
  * Fix lintian warning about missing ${misc:Depends} in Depends fields of
    binary packages
  * Update to standards version 3.9.1 without changes

 -- Bruno "Fuddl" Kleinert <fuddl@debian.org>  Thu, 29 Jul 2010 21:49:06 -0400

sauerbraten (0.0.20090504.dfsg-2) unstable; urgency=low

  [ Bruno "Fuddl" Kleinert ]

