=== debian/control ===
--- 
+++ 
@@ -1,12 +1,11 @@
 Source: cube2
 Section: games
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
+Maintainer: Debian Games Team <pkg-games-devel@lists.alioth.debian.org>
 Uploaders:
  Bruno "Fuddl" Kleinert <fuddl@debian.org>,
  Vincent Cheng <vcheng@debian.org>,
- Markus Koschany <apo@gambaru.de>
+ Markus Koschany <apo@debian.org>
 Build-Depends:
  debhelper (>= 9),
  libenet-dev,
@@ -14,9 +13,9 @@
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
  zlib1g-dev
-Standards-Version: 3.9.5
-Vcs-Git: git://anonscm.debian.org/pkg-games/cube2.git
-Vcs-Browser: http://anonscm.debian.org/gitweb/?p=pkg-games/cube2.git
+Standards-Version: 3.9.8
+Vcs-Git: https://anonscm.debian.org/git/pkg-games/cube2.git
+Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/cube2.git
 Homepage: http://cubeengine.com
 
 Package: cube2
@@ -39,19 +38,6 @@
  You need to install a content package like cube2-data if you want to play a
  game.
 
-Package: cube2-dbg
-Section: debug
-Priority: extra
-Architecture: any
-Depends:
- cube2 (= ${binary:Version}) | cube2-server (= ${binary:Version}),
- ${misc:Depends}
-Description: debug symbols for the Cube2 game engine
- Cube2 is a networked 3D first-person shooter game engine. It supports modern
- graphic effects and conveys a sense of fast-paced oldschool gameplay.
- .
- This package installs the debug symbols for the Cube2 engine.
-
 Package: cube2-server
 Architecture: any
 Depends:
