=== debian/rules ===
#!/usr/bin/make -f
#export DH_VERBOSE=1
export DEB_BUILD_MAINT_OPTIONS = hardening=+all

%:
	dh $@ --parallel

override_dh_auto_build:
	dh_auto_build -- \
		CPPFLAGS="$(CPPFLAGS)" \
		CFLAGS="$(CFLAGS) $(CPPFLAGS)" \
		CXXFLAGS="$(CXXFLAGS) $(CPPFLAGS)" \
		LDFLAGS="$(LDFLAGS)" \
		client server

override_dh_auto_install:
#skip dh_auto_install because upstream's install target is broken

override_dh_install:
	mv sauer_client cube2_client
	mv sauer_server cube2_server
	dh_install

override_dh_clean:
	dh_clean
	$(RM) cube2_client cube2_server
