## cube2 0.0.20130404%2Bdfsg

=== debian/watch ===
version=3
opts=uversionmangle=s/\.//g;s/^/0.0./,dversionmangle=s/\+dfsg+$// \
http://sf.net/sauerbraten/sauerbraten_(\d+)_(\d+)_(\d+)_.*\.(?:zip|tgz|tbz2|txz|tar\.gz|tar\.bz2|tar\.xz)
