=== rpggame/Makefile ===
--- 
+++ 
@@ -18,11 +18,25 @@
 ifneq (,$(findstring MINGW,$(PLATFORM)))
 WINDRES= windres
 ifneq (,$(findstring 64,$(PLATFORM)))
+ifneq (,$(findstring CROSS,$(PLATFORM)))
+  CXX=x86_64-w64-mingw32-g++
+  WINDRES=x86_64-w64-mingw32-windres
+ifneq (,$(STRIP))
+  STRIP=x86_64-w64-mingw32-strip
+endif
+endif
 WINLIB=lib64
 WINBIN=../bin64
 override CXX+= -m64
 override WINDRES+= -F pe-x86-64
 else
+ifneq (,$(findstring CROSS,$(PLATFORM)))
+  CXX=i686-w64-mingw32-g++
+  WINDRES=i686-w64-mingw32-windres
+ifneq (,$(STRIP))
+  STRIP=i686-w64-mingw32-strip
+endif
+endif
 WINLIB=lib
 WINBIN=../bin
 override CXX+= -m32
@@ -255,7 +269,3 @@
 ../engine/octa.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
 ../engine/octa.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
 ../engine/octa.o: ../shared/iengine.h ../shared/igame.h ../engine/world.h
-../engine/octa.o: ../engine/octa.h ../engine/lightmap.h ../engine/bih.h
-../engine/octa.o: ../engine/texture.h ../engine/model.h ../engine/varray.h
-../engine/octaedit.o: ../engine/engine.h ../shared/cube.h ../shared/tools.h
-../engine/octaedit.o: ../shared/geom.h ../shared/ents.h ../shared/command.h
