=== debian/changelog ===
cube2 (0.0.20130404+dfsg-1build1) focal; urgency=medium

  * No-change rebuild for libgcc-s1 package name change.

 -- Matthias Klose <doko@ubuntu.com>  Sun, 22 Mar 2020 16:37:15 +0100

cube2 (0.0.20130404+dfsg-1) unstable; urgency=medium

  * New upstream version 0.0.20130404+dfsg.
  * Switch to compat level 11.
  * Declare compliance with Debian Policy 4.1.3.
  * Use https for Format field.
  * Update get-sauerbraten-orig.sh.

 -- Markus Koschany <apo@debian.org>  Sat, 27 Jan 2018 22:28:56 +0100
