=== debian/control ===
--- 
+++ 
@@ -7,13 +7,13 @@
  Vincent Cheng <vcheng@debian.org>,
  Markus Koschany <apo@debian.org>
 Build-Depends:
- debhelper (>= 9),
+ debhelper (>= 11),
  libenet-dev,
  libsdl-image1.2-dev,
  libsdl-mixer1.2-dev,
  libsdl1.2-dev,
  zlib1g-dev
-Standards-Version: 3.9.8
+Standards-Version: 4.1.3
 Vcs-Git: https://anonscm.debian.org/git/pkg-games/cube2.git
 Vcs-Browser: https://anonscm.debian.org/cgit/pkg-games/cube2.git
 Homepage: http://cubeengine.com
